be.vlaanderen.mercurius.insurability.schemas.v1

## Class ResultInsurancePeriodListType

- java.lang.Object
- - be.vlaanderen.mercurius.insurability.schemas.v1.ResultInsurancePeriodListType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:07:02+02:00",
                 comments="JAXB RI v2.3.7")
      public class ResultInsurancePeriodListType
      extends Object
      implements Serializable

  Lijst van 1 of meerdere jaren waarvoor de persoon >VSB-verzekerd is

  Java class for ResultInsurancePeriodListType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResultInsurancePeriodListType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="InsurancePeriod" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}InsurancePeriodType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultInsurancePeriodListType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<InsurancePeriodType>` | `getInsurancePeriods()` Gets the value of the insurancePeriods property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultInsurancePeriodListType

          public ResultInsurancePeriodListType()

  - ### Method Detail

    - #### getInsurancePeriods

          public List<InsurancePeriodType> getInsurancePeriods()

      Gets the value of the insurancePeriods property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the insurancePeriods property.

      For example, to add a new item, do as follows:

              getInsurancePeriods().add(newItem);

      Objects of the following type(s) are allowed in the list `InsurancePeriodType`

Connector Packaging TRUSSMAKER 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.